package com.docus.server.collect.infrastructure.dao;

import com.docus.server.collect.infrastructure.enums.IIntegerEnum;

public enum CollectTypeEnum implements IIntegerEnum {

    WEBSERVICE_XML_DEPT(0, "WEBSERVICE_XML_DEPT"),
    WEBSERVICE_XML_USER(1, "WEBSERVICE_XML_USER"),
    WEBSERVICE_XML_BASIC(2, "WEBSERVICE_XML_BASIC"),
    WEBSERVICE_XML_REPORT(3, "WEBSERVICE_XML_REPORT"),
    WEBSERVICE_XML_ICU_REPORT(4, "WEBSERVICE_XML_ICU_REPORT"),
    WEBSERVICE_XML_INSERT_INSPECTION_REPORT(5, "WEBSERVICE_XML_INSERT_INSPECTION_REPORT"),
    WEBSERVICE_XML_UPDATE_INSPECTION_REPORT(6, "WEBSERVICE_XML_UPDATE_INSPECTION_REPORT");

    private Integer value;
    private String display;

    CollectTypeEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {

        return display;
    }

    public static CollectTypeEnum fromValue(Integer value) {
        return IIntegerEnum.fromValue(CollectTypeEnum.class, value);
    }
}
